package models

type Check struct {
	CheckID    int    `gorm:"column:check_id"`
	UserID     int    `gorm:"column:user_id"`
	CheckDate  string `gorm:"column:check_date"`
	InsertTime string `gorm:"column:insert_time"`
	UpdateTime string `gorm:"column:update_time"`
}

func (Check) TableName() string {
	return "checks"
}

type CheckItem struct {
	CheckItemID int    `gorm:"column:check_item_id"`
	CheckID     int    `gorm:"column:check_id"`
	ItemID      int    `gorm:"column:item_id"`
	ItemValue   string `gorm:"column:item_value"`
}

func (CheckItem) TableName() string {
	return "check_items"
}

type Item struct {
	ItemID        int    `gorm:"column:item_id"`
	ItemName      string `gorm:"column:item_name"`
	ItemNormalMin string `gorm:"column:item_normal_min"`
	ItemNormalMax string `gorm:"column:item_normal_max"`
}

func (Item) TableName() string {
	return "items"
}
